0

I try to update my website with drush up --no-core and after that my website is down like a charm with this error :

Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException: The service "leaflet.service" has a dependency on a non-existent service "geofield.geophp". in Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processReferences() (line 58 of /home/webmaster/www-data-dev/my_website/vendor/symfony/dependency-injection/Compiler/CheckExceptionOnInvalidReferenceBehaviorPass.php).

How to debug this error ?

Drupal core 8.4.4

  • Does that module have dependencies needing composer to install? – Kevin Feb 14 '18 at 1:54
  • drush pm-list does not updat eanything, it just lists what you have? I guess you used drush up. Also, that seems like you are missing the geofield module, apparently leaflet module depends on that. Possibly that is a new dependency – Berdir Feb 14 '18 at 7:13
  • @Berdir yep it's a mistake. Geofield module is present maybe it's a similar issue like that : drupal.org/project/config_split/issues/2859628 – florian_drupal Feb 14 '18 at 7:44
  • What do you mean with "present"? Is the module installed or just present in the file system? Does that service definition in geofield.services.yml? Maybe it is a version conflict and your version is too new or too old. Looks like geofield had a very recent release, maybe that is no longer compatible. If it's not installed, then you might not be able to install it in the current state. Try reverting the module changes, if necessary restore a backup that you hopefully created, install the module first and then do the update – Berdir Feb 15 '18 at 7:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.